org.jboss.jca.as.converters.wls.api.metadata

## Interface WeblogicConnector

- All Superinterfaces:
    java.io.Serializable, WlsMetadata
  All Known Subinterfaces:
    WeblogicConnector13
  All Known Implementing Classes:
    WeblogicConnector13Impl, WeblogicConnectorAbstractImpl

      public interface WeblogicConnector
      extends WlsMetadata

  A generic WeblogicConnector.
  Author:
    Jeff Zhang

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminObjects` | `getAdminObjects()` getAdminObjects
    `ConnectorWorkManager` | `getConnectorWorkManager()` getConnectorWorkManager
    `java.lang.String` | `getJndiName()` Get JndiName
    `java.lang.String` | `getNativeLibdir()` Get NativeLibdir
    `OutboundResourceAdapter` | `getOutboundResourceAdapter()` getOutboundResourceAdapter
    `ConfigProperties` | `getProperties()` getProperties
    `ResourceAdapterSecurity` | `getSecurity()` getSecurity
    `WorkManager` | `getWorkManager()` getWorkManager
    `java.lang.Boolean` | `isEnableAccessOutsideApp()` isEnableAccessOutsideApp
    `java.lang.Boolean` | `isEnableGlobalAccessToClasses()` isEnableGlobalAccessToClasses

- - ### Method Detail

    - #### getNativeLibdir

          java.lang.String getNativeLibdir()

      Get NativeLibdir
      Returns:
        native-libdir string

    - #### getJndiName

          java.lang.String getJndiName()

      Get JndiName
      Returns:
        the jndi name

    - #### isEnableAccessOutsideApp

          java.lang.Boolean isEnableAccessOutsideApp()

      isEnableAccessOutsideApp
      Returns:
        bool EnableAccessOutsideApp

    - #### isEnableGlobalAccessToClasses

          java.lang.Boolean isEnableGlobalAccessToClasses()

      isEnableGlobalAccessToClasses
      Returns:
        bool EnableGlobalAccessToClasses

    - #### getWorkManager

          WorkManager getWorkManager()

      getWorkManager
      Returns:
        the WorkManager

    - #### getConnectorWorkManager

          ConnectorWorkManager getConnectorWorkManager()

      getConnectorWorkManager
      Returns:
        the ConnectorWorkManager

    - #### getSecurity

          ResourceAdapterSecurity getSecurity()

      getSecurity
      Returns:
        the ResourceAdapterSecurity

    - #### getProperties

          ConfigProperties getProperties()

      getProperties
      Returns:
        the ConfigProperties

    - #### getAdminObjects

          AdminObjects getAdminObjects()

      getAdminObjects
      Returns:
        the AdminObjects

    - #### getOutboundResourceAdapter

          OutboundResourceAdapter getOutboundResourceAdapter()

      getOutboundResourceAdapter
      Returns:
        the OutboundResourceAdapter

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)